Page MenuHomePhabricator

[libc++][CMake] Add CMake caches for commonly supported configurations
ClosedPublic

Authored by ldionne on Jun 5 2020, 12:14 PM.

Details

Summary

This commit adds CMake caches for the various configurations of libc++
that are tested by our build bots.

Diff Detail

Event Timeline

ldionne created this revision.Jun 5 2020, 12:14 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 5 2020, 12:14 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript

The benefit of this approach is that it's easier to reproduce a build bot failure by just using the corresponding cache. Of course, that doesn't account for differences like compiler version or operating system, but it's a step in the right direction.

smeenai added a subscriber: smeenai.Jun 8 2020, 5:54 PM

I *really* like this :)

ldionne accepted this revision as: Restricted Project.Jun 9 2020, 11:51 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jun 9 2020, 12:07 PM
This revision was automatically updated to reflect the committed changes.